error running unit test with geb plugin installed.

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

error running unit test with geb plugin installed.

Mauro
I'm using the new grails-2.3.3.
If I install geb plugin under Buildconfig:

plugins {
  test ":geb:0.9.2"

and run a unit test I have the error:

Error Fatal error running tests: taskdef class org.codehaus.groovy.grails.compiler.Grailsc cannot be found
 using the classloader AntClassLoader[] (Use --stacktrace to see the full trace)


If I uninstall geb I don't have the error.
Grails-2.3.2 didn't have the problem.
Reply | Threaded
Open this post in threaded view
|

Re: error running unit test with geb plugin installed.

burtbeckwith
Is this a new app, or one that you upgraded? This should work fine - I recently converted the spring-security-core test apps to use Geb and I have a 2.3.3 app that runs fine.

Burt

Mauro wrote
I'm using the new grails-2.3.3.
If I install geb plugin under Buildconfig:

plugins {
  test ":geb:0.9.2"

and run a unit test I have the error:

Error Fatal error running tests: taskdef class
org.codehaus.groovy.grails.compiler.Grailsc cannot be found
 using the classloader AntClassLoader[] (Use --stacktrace to see the full
trace)


If I uninstall geb I don't have the error.
Grails-2.3.2 didn't have the problem.
Reply | Threaded
Open this post in threaded view
|

Re: error running unit test with geb plugin installed.

Graeme Rocher-2


On Mon, Nov 25, 2013 at 2:17 AM, burtbeckwith <[hidden email]> wrote:
Is this a new app, or one that you upgraded? This should work fine - I
recently converted the spring-security-core test apps to use Geb and I have
a 2.3.3 app that runs fine.

Burt


Mauro wrote
> I'm using the new grails-2.3.3.
> If I install geb plugin under Buildconfig:
>
> plugins {
>   test ":geb:0.9.2"
>
> and run a unit test I have the error:
>
> Error Fatal error running tests: taskdef class
> org.codehaus.groovy.grails.compiler.Grailsc cannot be found
>  using the classloader AntClassLoader[] (Use --stacktrace to see the full
> trace)
>
>
> If I uninstall geb I don't have the error.
> Grails-2.3.2 didn't have the problem.





--
View this message in context: http://grails.1312388.n4.nabble.com/error-running-unit-test-with-geb-plugin-installed-tp4651772p4651776.html
Sent from the Grails - user mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email





--
Graeme Rocher
Grails Project Lead
SpringSource
Reply | Threaded
Open this post in threaded view
|

Re: error running unit test with geb plugin installed.

burtbeckwith
Right - I wouldn't have seen that because I disable forking in all of the tests.

Burt

Graeme Rocher-2 wrote
This has been reported as http://jira.grails.org/browse/GRAILS-10824

On Mon, Nov 25, 2013 at 2:17 AM, burtbeckwith <[hidden email]> wrote:

> Is this a new app, or one that you upgraded? This should work fine - I
> recently converted the spring-security-core test apps to use Geb and I have
> a 2.3.3 app that runs fine.
>
> Burt


--
Graeme Rocher
Grails Project Lead
SpringSource